未连接身份提供商
出现此问题时,API 会返回 404 Not Found,其 type 为 https://lingo.dev/docs/api/errors/sso-connection-not-found。所有错误的通用结构请参阅错误和状态码。
组织 <organizationId> 尚未连接任何身份提供商。请先通过身份提供商的 SAML 元数据 URL 建立连接。
字段#
除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
organizationId | string |
示例#
json
{
"detail": "No connected identity provider at organization <organizationId>. Connect one with its SAML metadata URL first.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/sso-connection-not-found",
"status": 404,
"title": "No identity provider connected"
}返回此错误的端点#
PATCH /v2/organizations/{orgId}/ssoPOST /v2/organizations/{orgId}/service-api-keys/scimPOST /v2/organizations/{orgId}/sso/disconnect